Hacking Rolling back homebrew channel to 1.03 from 1.06

Am0s

Mojo Risin
OP
Member
Joined
Jul 9, 2009
Messages
741
Trophies
0
Age
48
Location
England
Website
Visit site
XP
138
Country
Hi all I dunno if there is a guide but I couldnt find 1 and wanted to share this as I had this issue some weeks ago.

I updated my homebrew channel to the 1.06 version and while it looks nice I tried to use the preloader to go straight to homebrew and it cant find it, so I tried to update preloader as it says an important update, and it hangs itself when you click it, even tried to get the update to 0.30 and loaded it through pre laoder and got a crash dump.

All I wanted was a bit of protection and homebrew working through preloader and this is what I did

I click load/install file and chose the boot.dol which was hbc 1.03 version I think, then I click load install file and the hackmii installer worked again, and I installed the homebrew channel again, and now the homebrew channel works from preloader, but as a side affect I have 2 homebrew channels

I just wanted to chare this if somone is in the same situation as I was
 

oddgriffin

Well-Known Member
Newcomer
Joined
Nov 13, 2009
Messages
46
Trophies
0
Age
53
Location
akron, ohio usa
XP
185
Country
United States
Am0s said:
Hi all I dunno if there is a guide but I couldnt find 1 and wanted to share this as I had this issue some weeks ago.

I updated my homebrew channel to the 1.06 version and while it looks nice I tried to use the preloader to go straight to homebrew and it cant find it, so I tried to update preloader as it says an important update, and it hangs itself when you click it, even tried to get the update to 0.30 and loaded it through pre laoder and got a crash dump.

All I wanted was a bit of protection and homebrew working through preloader and this is what I did

I click load/install file and chose the boot.dol which was hbc 1.03 version I think, then I click load install file and the hackmii installer worked again, and I installed the homebrew channel again, and now the homebrew channel works from preloader, but as a side affect I have 2 homebrew channels

I just wanted to chare this if somone is in the same situation as I was
come to think of it. i finally clicked that damn update thing cause i was tired of it prompting me all the time, and i never did check to see if all the files and their dependencies would work together, it never occured to me so i guess i better look and see lol
 

xzxero

♥bong milk does good for the brain♥
Member
Joined
Jul 18, 2008
Messages
3,831
Trophies
0
Age
12
Location
SB
Website
Visit site
XP
312
Country
United States
the update feature on preloader doesn't work

HBC 1.0.6 has JODI as it's ID
HBC 1.0.3 has HAXX as it's ID

preloader .29 and below looks for HAXX
preloader .30 and priiloader look for JODI first then HAXX

don't downgrade HBC
update priiloader
 

happydance

Well-Known Member
Member
Joined
Jul 16, 2009
Messages
598
Trophies
0
XP
349
Country
i thought priiloader also checks for HAXX if JODI is not found?

btw i also got that problem when i updated homebrew channel cause it keeps bugging me to update. but i just read somewhere about haxx being chaned to jodi because of the 4.2 update and you gotta allso update preloader so i just installed the preloader .30 and everything was fine
 

xzxero

♥bong milk does good for the brain♥
Member
Joined
Jul 18, 2008
Messages
3,831
Trophies
0
Age
12
Location
SB
Website
Visit site
XP
312
Country
United States
happydance said:
i thought priiloader also checks for HAXX if JODI is not found?

btw i also got that problem when i updated homebrew channel cause it keeps bugging me to update. but i just read somewhere about haxx being chaned to jodi because of the 4.2 update and you gotta allso update preloader so i just installed the preloader .30 and everything was fine
thats correct
 

wiiuser2

Well-Known Member
Member
Joined
Sep 12, 2009
Messages
186
Trophies
0
XP
211
Country
Netherlands
xzxero said:
the update feature on preloader doesn't work

HBC 1.0.6 has JODI as it's ID
HBC 1.0.3 has HAXX as it's ID

preloader .29 and below looks for HAXX
preloader .30 and priiloader look for JODI first then HAXX

don't downgrade HBC
update priiloader

I did, but with priiloader .30 the forwarder dol to start the CFG USB loader at startup doesn't work anymore. Very annoying.
So I switched back to Preloader 0.29 and HBC 1.03. This combo does all I want (on 4.1E)
 

mooseknuckle2000

Well-Known Member
Member
Joined
Apr 7, 2009
Messages
284
Trophies
0
XP
175
Country
United States
on a slightly off-topic note, I prefer the older version of the HBC as well, but mostly because I hate the new "delete" button when starting an app. Readily accessible delete buttons and small children don't mesh well.
 

wiiuser2

Well-Known Member
Member
Joined
Sep 12, 2009
Messages
186
Trophies
0
XP
211
Country
Netherlands
Downgrading from HBC 1.06 to 1.03 is very simple:
1. from HBC 1.06 start the installer for HBC 1.03 (ignore the upgrade warning).
you now have two HBC channels in your Wii menu
2. exit HBC 1.06 and start HBC 1.03 (the newly added channel)
3. run the HBC 1.06 installer and select the option to uninstall HBC. This will remove HBC 1.06
4. your HBC 1.03 channel is now probably at another location as you want it in the Wii menu. Grab it in the Wii menu while holding A and B to drag it to the original location.

Thats's all
 

longtom1

Keep an eye on my posts cause I quick edit frequen
Member
Joined
Jan 12, 2009
Messages
2,641
Trophies
0
Location
Honey Oils inc.
Website
Visit site
XP
186
Country
wiiuser2 said:
Downgrading from HBC 1.06 to 1.03 is very simple:
1. from HBC 1.06 start the installer for HBC 1.03 (ignore the upgrade warning).
you now have two HBC channels in your Wii menu
2. exit HBC 1.06 and start HBC 1.03 (the newly added channel)
3. run the HBC 1.06 installer and select the option to uninstall HBC. This will remove HBC 1.06
4. your HBC 1.03 channel is now probably at another location as you want it in the Wii menu. Grab it in the Wii menu while holding A and B to drag it to the original location.

Thats's all
you forgot the JODI forwarder dol for preloader if you have it installed
 

bnm81002

Well-Known Member
Member
Joined
May 22, 2008
Messages
806
Trophies
0
Location
New York
XP
166
Country
United States
DeadlyFoez said:
there is a haxx to jodi forwarder around here in wad format. Use that and it will take care of everything. Keep HBC at 1.0.6 for now because you are better off with it.

Me personally, I have not and will not use any of the new preloader/priiloader apps. They still have bugs. I stick with the official preloader 0.29 by crediar until someone does release a bug free and feature filled preloader app....with a safe installer.

Here's the haxx -> jodi forwarder http://www.mediafire.com/?jjjnbmtzygz

Thanx longtom for finding the link.



is this the post that you are referring to?
 
General chit-chat
Help Users
  • No one is chatting at the moment.
    Flame @ Flame: I got ninety-nine ads but an ad block ain't one